org.apache.catalina.storeconfig

## Class ConnectorSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.ConnectorSF

- All Implemented Interfaces:
    IStoreFactory

      public class ConnectorSF
      extends StoreFactoryBase

  Store Connector and Listeners

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectorSF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `printOpenTag(PrintWriter aWriter, int indent, Object bean, StoreDescription aDesc)`
    `protected void` | `printTag(PrintWriter aWriter, int indent, Object bean, StoreDescription aDesc)`
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aConnector, StoreDescription parentDesc)` Must Implement at subclass for custom store children handling.
    `protected void` | `storeConnectorAttributes(PrintWriter aWriter, int indent, Object bean, StoreDescription aDesc)`

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectorSF

          public ConnectorSF()

  - ### Method Detail

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                           int indent,
                           Object aConnector,
                           StoreDescription parentDesc)
                             throws Exception

      Description copied from class: `StoreFactoryBase`
      Must Implement at subclass for custom store children handling.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - Current output writer
        `indent` - Indentation level
        `aConnector` - Current element
        `parentDesc` - The element description
      Throws:
        `Exception` - Configuration storing error

    - #### printOpenTag

          protected void printOpenTag(PrintWriter aWriter,
                          int indent,
                          Object bean,
                          StoreDescription aDesc)
                               throws Exception

      Throws:
        `Exception`

    - #### storeConnectorAttributes

          protected void storeConnectorAttributes(PrintWriter aWriter,
                                      int indent,
                                      Object bean,
                                      StoreDescription aDesc)
                                           throws Exception

      Throws:
        `Exception`

    - #### printTag

          protected void printTag(PrintWriter aWriter,
                      int indent,
                      Object bean,
                      StoreDescription aDesc)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.